Configure Heartbeat
curl --request POST \
--url https://api.boostgpt.co/v1/bot/heartbeat/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"prompt": "<string>",
"cron_pattern": "<string>",
"enabled": false,
"timezone": "UTC",
"credit_budget": 123,
"max_consecutive_errors": 5,
"member_id": "<string>"
}
'import requests
url = "https://api.boostgpt.co/v1/bot/heartbeat/configure"
payload = {
"project_id": "<string>",
"bot_id": "<string>",
"prompt": "<string>",
"cron_pattern": "<string>",
"enabled": False,
"timezone": "UTC",
"credit_budget": 123,
"max_consecutive_errors": 5,
"member_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_id: '<string>',
bot_id: '<string>',
prompt: '<string>',
cron_pattern: '<string>',
enabled: false,
timezone: 'UTC',
credit_budget: 123,
max_consecutive_errors: 5,
member_id: '<string>'
})
};
fetch('https://api.boostgpt.co/v1/bot/heartbeat/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"heartbeat": {
"uuid": "<string>",
"bot_id": 123,
"member_id": 123,
"prompt": "<string>",
"cron_pattern": "<string>",
"timezone": "<string>",
"credit_budget": 123,
"credits_used": 123,
"last_executed_at": "<string>",
"execution_count": 123,
"error_count": 123,
"max_consecutive_errors": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Heartbeat
Configure Heartbeat
Create or update a heartbeat configuration for an agent
POST
/
v1
/
bot
/
heartbeat
/
configure
Configure Heartbeat
Authorizations
Enter your API key
Body
application/json
Project ID
Agent ID
Instruction the agent executes each run
Cron expression for scheduling (e.g., '0 9 * * 1' for every Monday at 9am)
Whether the heartbeat is active (default: false)
Timezone for scheduling (default: UTC)
Max credits per billing period (null = unlimited)
Auto-pause after this many consecutive failures (default: 5)
Subscriber member ID for subscriber-specific heartbeats
Response
Heartbeat configured successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I